Skip to content

Get eligibility policy details

GET/v1/benefit-eligibility-policies/{policy_id}

Retrieves a benefit eligibility policy by ID.

Path ParametersExpand Collapse
policy_id: string

Unique benefit eligibility policy identifier (epol_*)

ReturnsExpand Collapse
BenefitEligibilityPolicyResponse = object { data }

Response containing a single benefit eligibility policy resource.

data: BenefitEligibilityPolicy { id, active, classification, 4 more }
id: string
active: boolean
classification: string
created_at: string
formatdate-time
employer_id: string
updated_at: string
formatdate-time
waiting_period: string

Get eligibility policy details

curl https://api.vitablehealth.com/v1/benefit-eligibility-policies/$POLICY_ID \
    -H "Authorization: Bearer $VITABLE_CONNECT_API_KEY"
{
  "data": {
    "id": "id",
    "active": true,
    "classification": "classification",
    "created_at": "2019-12-27T18:11:19.117Z",
    "employer_id": "employer_id",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "waiting_period": "waiting_period"
  }
}
Returns Examples
{
  "data": {
    "id": "id",
    "active": true,
    "classification": "classification",
    "created_at": "2019-12-27T18:11:19.117Z",
    "employer_id": "employer_id",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "waiting_period": "waiting_period"
  }
}